Skip to main content

Get rentable item by ID

GEThttps://api.propexo.com/v1/rentable-items/:rentable_item_id

Get rentable item by ID. This endpoint is an inventory view. For assignment history including lease linkage, start/end dates, and status, use GET /v1/rentable-item-assignments.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

rentable_item_id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the rentable item

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Important

    Yardi rentable item codes are only unique within their item type, so this is a composite of the item type code and the item code.

    MethodInterface
    /ItfLeaseRenewal/GetRentableItemsCommon Data
    /ItfProspect/GetYardiRentableItemsILS Guest Card
    Example: 14891
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    MethodInterface
    /ItfLeaseRenewal/GetRentableItemsCommon Data
    /ItfProspect/GetYardiRentableItemsILS Guest Card
    Example: testprop1
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for YARDI_REST

    Example: null
    x_applicant_idstring | nullnullablerequireddeprecated

    Deprecated: Use associated_applicant_ids instead.

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetYardiRentableItems
    x_lead_idstring | nullnullablerequireddeprecated

    Deprecated: Use associated_lead_ids instead.

    InterfaceMethod
    ILS Guest Card/ItfProspect/GetYardiRentableItems
    x_resident_idstring | nullnullablerequireddeprecated

    Deprecated: Use associated_resident_ids instead.

    MethodInterface
    /ItfLeaseRenewal/GetRentableItemsCommon Data
    /ItfProspect/GetYardiRentableItemsILS Guest Card
    x_type_idstring | nullnullablerequired

    The external ID of the type from the integration vendor

    MethodInterface
    /ItfLeaseRenewal/GetRentableItemsCommon Data
    /ItfProspect/GetYardiRentableItemsILS Guest Card
    Example: 1482
    x_charge_code_idstring | nullnullablerequired

    The external ID of the charge code from the integration vendor

    MethodInterface
    /ItfLeaseRenewal/GetRentableItemsCommon Data
    /ItfProspect/GetYardiRentableItemsILS Guest Card
    Example: rentoth
    amount_in_centsnumber | nullnullablerequired

    The amount of the rentable item, in cents

    MethodInterface
    /ItfLeaseRenewal/GetRentableItemsCommon Data
    /ItfProspect/GetYardiRentableItemsILS Guest Card
    Example: 40000
    descriptionstring | nullnullablerequired

    Description of the rentable item

    MethodInterface
    /ItfLeaseRenewal/GetRentableItemsCommon Data
    /ItfProspect/GetYardiRentableItemsILS Guest Card
    Example: Shed
    namestring | nullnullablerequired

    The name of the rentable item

    MethodInterface
    /ItfLeaseRenewal/GetRentableItemsCommon Data
    /ItfProspect/GetYardiRentableItemsILS Guest Card
    Example: SHED001
    is_availableboolean | nullnullablerequired

    Whether the rentable item is available

    MethodInterface
    /ItfLeaseRenewal/GetRentableItemsCommon Data
    /ItfProspect/GetYardiRentableItemsILS Guest Card
    Example: true
    reserved_until_datestring | nullnullablerequired

    The date the rentable item is reserved until

    MethodInterface
    /ItfLeaseRenewal/GetRentableItemsCommon Data
    /ItfProspect/GetYardiRentableItemsILS Guest Card
    Example: 2025-06-01T00:00:00.000Z
    typestring | nullnullablerequired

    The type associated with the rentable item

    MethodInterface
    /ItfLeaseRenewal/GetRentableItemsCommon Data
    /ItfProspect/GetYardiRentableItemsILS Guest Card
    Example: Shed
    associated_applicant_idsstring[]requireddeprecated

    Deprecated: Use GET /v1/rentable-item-assignments for assignment history. The applicant IDs associated with the rentable item. Limited to the 20 most recently seen associations. Empty when unassigned.

    associated_applicant_ids_truncatedbooleanrequired

    True when more than 20 applicant associations exist and associated_applicant_ids was capped to the 20 most recently seen.

    Notice

    This field is not currently hydrated for YARDI_REST

    associated_lead_idsstring[]requireddeprecated

    Deprecated: Use GET /v1/rentable-item-assignments for assignment history. The lead IDs associated with the rentable item. Limited to the 20 most recently seen associations. Empty when unassigned.

    associated_lead_ids_truncatedbooleanrequired

    True when more than 20 lead associations exist and associated_lead_ids was capped to the 20 most recently seen.

    Notice

    This field is not currently hydrated for YARDI_REST

    associated_resident_idsstring[]requireddeprecated

    Deprecated: Use GET /v1/rentable-item-assignments for assignment history. The resident IDs associated with the rentable item. Limited to the 20 most recently seen associations. Empty when unassigned.

    associated_resident_ids_truncatedbooleanrequired

    True when more than 20 resident associations exist and associated_resident_ids was capped to the 20 most recently seen.

    Notice

    This field is not currently hydrated for YARDI_REST

    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum25required

    The property management system of record

    Show 13 enum values
    YARDI_RESTAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDI
    Example: YARDI_REST
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    applicant_idnullrequireddeprecated

    Deprecated: Use associated_applicant_ids instead.

    Important

    This is deprecated. Use the /applicants/:id/rentable-items endpoint to read this data instead

    Notice

    This field will always be null for YARDI_REST

    Example: null
    lead_idnullrequireddeprecated

    Deprecated: Use associated_lead_ids instead.

    Important

    This is deprecated. Use the /leads/:id/rentable-items endpoint to read this data instead

    Notice

    This field will always be null for YARDI_REST

    Example: null
    resident_idstring | nullnullablerequireddeprecated

    Deprecated: Use associated_resident_ids instead.

    Important

    This is deprecated. Use the /residents/:id/rentable-items endpoint to read this data instead

    MethodInterface
    /ItfLeaseRenewal/GetRentableItemsCommon Data
    charge_code_idstring | nullnullablerequired

    The Propexo unique identifier for the charge code

    MethodInterface
    /ItfLeaseRenewal/GetRentableItemsCommon Data
    /ItfProspect/GetYardiRentableItemsILS Guest Card
    Example: cm2dtyq1600008loze5xgf3fb

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/rentable-items/:rentable_item_id
curl https://api.propexo.com/v1/rentable-items/:rentable_item_id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "14891",
"x_property_id": "testprop1",
"x_location_id": null,
"x_type_id": "1482",
"x_charge_code_id": "rentoth",
"amount_in_cents": 40000,
"description": "Shed",
"name": "SHED001",
"is_available": true,
"reserved_until_date": "2025-06-01T00:00:00.000Z",
"type": "Shed",
"associated_applicant_ids_truncated": true,
"associated_lead_ids_truncated": true,
"associated_resident_ids_truncated": true,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "YARDI_REST",
"property_id": "clwi5xiix000008l6ctdgafyh",
"charge_code_id": "cm2dtyq1600008loze5xgf3fb"
}
}